namespace adas_core.Domain.Models.Observations;

public class BoolObservation : Observation
{
    public bool Value { get; set; }

    internal static BoolObservation? From(List<PatientObservation> obs)
    {
        if (obs.Count > 0)
            return new BoolObservation
            {
                Value = (bool)obs[0].Value
            };
        return null;
    }
}